Package org.picocontainer.behaviors

# Class Intercepted.ControllerImpl

java.lang.Object
org.picocontainer.behaviors.Intercepted.ControllerImpl

All Implemented Interfaces:
  `Intercepted.Controller`

Enclosing class:
  `Intercepted<T>`

public static class Intercepted.ControllerImpl extends Object implements Intercepted.Controller

## Constructor Summary

Constructors
Constructor
Description
`ControllerImpl()`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`Object`
`getInstance()`
`Object`
`getOriginalRetVal()`
`void`
`instance(Object instance)`
`boolean`
`isOverridden()`
`boolean`
`isVetoed()`
`void`
`override()`
`void`
`setOriginalRetVal(Object retVal)`
`void`
`veto()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ControllerImpl

public ControllerImpl()

## Method Details

### veto

public void veto()

Specified by:
  `veto` in interface `Intercepted.Controller`

### clear

public void clear()

Specified by:
  `clear` in interface `Intercepted.Controller`

### isVetoed

public boolean isVetoed()

Specified by:
  `isVetoed` in interface `Intercepted.Controller`

### setOriginalRetVal

public void setOriginalRetVal(Object retVal)

Specified by:
  `setOriginalRetVal` in interface `Intercepted.Controller`

### getOriginalRetVal

public Object getOriginalRetVal()

Specified by:
  `getOriginalRetVal` in interface `Intercepted.Controller`

### isOverridden

public boolean isOverridden()

Specified by:
  `isOverridden` in interface `Intercepted.Controller`

### instance

public void instance(Object instance)

Specified by:
  `instance` in interface `Intercepted.Controller`

### getInstance

public Object getInstance()

Specified by:
  `getInstance` in interface `Intercepted.Controller`

### override

public void override()

Specified by:
  `override` in interface `Intercepted.Controller`